Bug 172919 - Missing includes cause compilation error on FreeBSD
Summary: Missing includes cause compilation error on FreeBSD
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Local Build
Hardware: PC Other
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-05 08:18 PDT by Ting-Wei Lan
Modified: 2017-06-27 14:06 PDT (History)
7 users (show)

See Also:


Attachments
Patch (1.75 KB, patch)
2017-06-05 08:20 PDT, Ting-Wei Lan
no flags Details | Formatted Diff | Diff
Patch (6.99 KB, patch)
2017-06-26 08:33 PDT, Ting-Wei Lan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ting-Wei Lan 2017-06-05 08:18:06 PDT
This causes Source/JavaScriptCore/API/tests/GlobalContextWithFinalizerTest.cpp and Source/JavaScriptCore/API/tests/GlobalContextWithFinalizerTest.cpp to fail to compile on FreeBSD. Please see the attached patch.
Comment 1 Ting-Wei Lan 2017-06-05 08:20:13 PDT
Created attachment 312009 [details]
Patch
Comment 2 Ting-Wei Lan 2017-06-26 08:26:04 PDT
Since this bug is still not closed and there are many missing include issues introduced in later commits, I think it is better to reuse this bug than to file a new one.
Comment 3 Yusuke Suzuki 2017-06-26 08:30:39 PDT
Comment on attachment 312009 [details]
Patch

r=me
Comment 4 Ting-Wei Lan 2017-06-26 08:33:51 PDT
Created attachment 313842 [details]
Patch
Comment 5 Ting-Wei Lan 2017-06-26 08:35:58 PDT
unistd.h is added for pid_t.
stdio.h is added for printf.
stdlib.h is added for free.
algorithm is added for std::min.
array is added for std::array.
Comment 6 Mark Lam 2017-06-26 09:32:41 PDT
Comment on attachment 313842 [details]
Patch

r=me
Comment 7 WebKit Commit Bot 2017-06-27 14:06:07 PDT
Comment on attachment 313842 [details]
Patch

Clearing flags on attachment: 313842

Committed r218840: <http://trac.webkit.org/changeset/218840>
Comment 8 WebKit Commit Bot 2017-06-27 14:06:09 PDT
All reviewed patches have been landed.  Closing bug.